package de.ivu.elect.business.gebietsbaum.entity;

public enum  GebietPolygonPointArt {

  BEGINN{
    @Override
    public boolean isBeginn() {
      return true;
    }
  },
  PUNKT{
    @Override
    public boolean isPunkt() {
      return true;
    }
  },
  MITTELPUNKT {
    @Override
    public boolean isMittelpunkt() {
      return true;
    }

    @Override
    public boolean isTeilDesPolygons() {
      return false;
    }
  };

  public boolean isTeilDesPolygons() {
    return true;
  }

  public boolean isBeginn() {
    return false;
  }

  public boolean isPunkt() {
    return false;

  }

  public boolean isMittelpunkt() {
    return false;
  }
}
